# Record Class CLNImage2DMipMapDeclarations

java.lang.Object
java.lang.Record
com.io7m.calino.api.CLNImage2DMipMapDeclarations

Record Components:
  `mipMaps` - The set of mipmaps
  `texelBlockAlignment` - The required alignment of the texel data

public record CLNImage2DMipMapDeclarations(List<CLNImage2DMipMapDeclaration> mipMaps, int texelBlockAlignment) extends Record
A set of mipmap declarations.

See Also:
  - `CLNImageInfo.texelBlockAlignment()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNImage2DMipMapDeclarations(List<CLNImage2DMipMapDeclaration> mipMaps, int texelBlockAlignment)`
  A set of mipmap declarations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `List<CLNImage2DMipMapDeclaration>`
  `mipMaps()`
  Returns the value of the `mipMaps` record component.
  `int`
  `texelBlockAlignment()`
  Returns the value of the `texelBlockAlignment` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNImage2DMipMapDeclarations

    public CLNImage2DMipMapDeclarations(List<CLNImage2DMipMapDeclaration> mipMaps, int texelBlockAlignment)
    A set of mipmap declarations.
    Parameters:
      `mipMaps` - The set of mipmaps
      `texelBlockAlignment` - The required alignment of the texel data
    See Also:
      - `CLNImageInfo.texelBlockAlignment()`

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### mipMaps

    public List<CLNImage2DMipMapDeclaration> mipMaps()
    Returns the value of the `mipMaps` record component.
    Returns:
      the value of the `mipMaps` record component

  - ### texelBlockAlignment

    public int texelBlockAlignment()
    Returns the value of the `texelBlockAlignment` record component.
    Returns:
      the value of the `texelBlockAlignment` record component